summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Jockey S. Kyd2012-05-05 18:17:30 +0200
committer Erik Hanson2012-05-07 19:18:08 +0200
commit1bb95b564fa19a6a15cf0b1ed93ee1aaa11f723c (patch)
tree023da4c57e41b628e40ebb2ead8ff8204660c742
parent213a57385af5c2e64016186870bfe6133505b73c (diff)
downloadslackbuilds-1bb95b564fa19a6a15cf0b1ed93ee1aaa11f723c.tar.gz
libraries/ocaml-ounit: Added (Unit tests for OCaml)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--libraries/ocaml-ounit/README5
-rw-r--r--libraries/ocaml-ounit/ocaml-ounit.SlackBuild94
-rw-r--r--libraries/ocaml-ounit/ocaml-ounit.info10
-rw-r--r--libraries/ocaml-ounit/slack-desc19
4 files changed, 128 insertions, 0 deletions
diff --git a/libraries/ocaml-ounit/README b/libraries/ocaml-ounit/README
new file mode 100644
index 0000000000..7081b2a3df
--- /dev/null
+++ b/libraries/ocaml-ounit/README
@@ -0,0 +1,5 @@
+OUnit is a unit test framework for OCaml. It allows one to easily create
+unit-tests for OCaml code. It is based on HUnit, a unit testing framework
+for Haskell. It is similar to JUnit, and other XUnit testing frameworks.
+
+This requires ocaml-findlib.
diff --git a/libraries/ocaml-ounit/ocaml-ounit.SlackBuild b/libraries/ocaml-ounit/ocaml-ounit.SlackBuild
new file mode 100644
index 0000000000..b8b2994c88
--- /dev/null
+++ b/libraries/ocaml-ounit/ocaml-ounit.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Copyright 2012 Jockey S. Kyd, Shanghai, CHN
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ocaml-ounit
+VERSION=1.1.1
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=ounit
+
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$(uname -m) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ocaml setup.ml -configure
+ocaml setup.ml -build
+
+# it seems `--destdir' isn't respected, hence work around a bit
+long=$PKG/$(ocamlfind printconf destdir)
+mkdir -p $long
+sed -i "s|\"install\"|\"install -destdir $long\"|" setup.ml
+ocaml setup.ml -install
+
+find $PKG -print0 | xargs -0 file \
+ | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null \
+ || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ *.txt changelog doc/manual.txt examples \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/ocaml-ounit/ocaml-ounit.info b/libraries/ocaml-ounit/ocaml-ounit.info
new file mode 100644
index 0000000000..58a47fb4be
--- /dev/null
+++ b/libraries/ocaml-ounit/ocaml-ounit.info
@@ -0,0 +1,10 @@
+PRGNAM="ocaml-ounit"
+VERSION="1.1.1"
+HOMEPAGE="http://ounit.forge.ocamlcore.org/"
+DOWNLOAD="http://forge.ocamlcore.org/frs/download.php/762/ounit-1.1.1.tar.gz"
+MD5SUM="b28e4c25ad5fc9080639d47fd51c7c24"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Jockey S. Kyd"
+EMAIL="jockey.kyd@gmail.com"
+APPROVED="dsomero"
diff --git a/libraries/ocaml-ounit/slack-desc b/libraries/ocaml-ounit/slack-desc
new file mode 100644
index 0000000000..57527fcd61
--- /dev/null
+++ b/libraries/ocaml-ounit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ocaml-ounit: ocaml-ounit (Unit tests for OCaml)
+ocaml-ounit:
+ocaml-ounit: OUnit is a unit test framework for OCaml. It allows one to easily
+ocaml-ounit: create unit-tests for OCaml code. It is based on HUnit, a unit
+ocaml-ounit: testing framework for Haskell. It is similar to JUnit, and other
+ocaml-ounit: XUnit testing frameworks.
+ocaml-ounit:
+ocaml-ounit: http://ounit.forge.ocamlcore.org/
+ocaml-ounit:
+ocaml-ounit:
+ocaml-ounit: